using UnityEditor;
using UnityEngine;

namespace NBF
{
    [CustomEditor(typeof(UIBlur))]
    public class UIBlurEditor : Editor
    {
        private UIBlur _target;

        void OnEnable()
        {
            _target = target as UIBlur;
            // lookAtPoint = serializedObject.FindProperty("lookAtPoint");
        }

        public override void OnInspectorGUI()
        {
            base.OnInspectorGUI();
            if (GUILayout.Button("Blur"))
            {
                _target.CaptureAndBlurOnce();
            }
        }
    }
}